.row.main_row {
  height: 100%;
}

.main_row.col-sm-12 {
  height: 96%;
}

.ps:hover>.ps__rail-y {
  display: none;
}

#IM {
  font-family: cairo;
}

.chatContent {
  background-color: rgba(255, 255, 255, 1);
  margin: 8px;
  margin-bottom: 20px;
  border: 1px none rgba(112, 112, 112, 1);
  border-radius: 11px;
  display: flex;
  box-sizing: content-box;
  opacity: 1;
  cursor: default;
  flex-direction: column;
  max-height: 82vh;
}

.btn_load_more.btn.btn-secondary {
  background-color: rgba(255, 255, 255, 1);
  color: gray;
  padding: 0;
  margin: 0;
  position: absolute;
  left: 40%;
  right: 40%;
  width: 20%;
  font-weight: 400;
  z-index: 9;
}

.btn_load_more.btn.btn-secondary:hover,
.btn_load_more.btn.btn-secondary:focus {
  background-color: rgba(255, 255, 255, 1) !important;
  color: gray !important;
}

.Content_items {
  overflow: auto;
  overflow-x: hidden;
  height: calc(100vh - calc(100vh / 3));
  /*   max-height: calc(100vh - calc(100vh /3));
  min-height:50vh; */
  vertical-align: bottom;
  /* padding: 15px;
  margin: 5px;
  margin-bottom: 40px; */
}

.Content_items::-webkit-scrollbar {
  -webkit-appearance: none;
}

.Content_items::-webkit-scrollbar:vertical {
  width: 11px;
}

.Content_items::-webkit-scrollbar:horizontal {
  height: 11px;
}

.Content_items::-webkit-scrollbar-thumb {
  border-radius: 8px;
  border: 2px solid white;
  /* should match background, can't be transparent */
  /* background-color: rgba(0, 0, 0, 0.5); */
  background-color: #668ad7;
}

.current-chatting-header {
  display: flex;
  align-items: center;
}

.current-chatting-header p {
  margin: 0;
  font-weight: 600;
  text-align: right;
}

.content__header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid var(--light-gray);
  padding: 15px;
  color: var(--dark-gray);

  margin: 15px;
  margin-bottom: 15px;
}

.current-chatting-header .chat_List_Item_hul {
  margin-left: 15px;
}

.chat-list-img {
  /* position:absolute; */
  display: flex;
  align-items: center;
}

.User_Img {
  position: relative;
  display: inline-block;
}

.User_Img_img {
  border-radius: 50%;
  border-color: #fff;
  border-style: solid;
  outline-style: solid;
  outline-color: rgba(223, 223, 223, 1);
  /* position: absolute; */
  color: white;
  text-align: center;
}

.User_Img img {
  max-width: 100%;
  object-fit: cover;
}

/*  .User_Img_img {
    overflow: hidden;
    border-radius: 50%;
    
  
    margin: auto;
    padding: auto;
  } */
.is_online {
  width: 13px;
  height: 13px;
  border: 2.1px solid #fff;
  border-radius: 50%;
  left: 73%;
  top: 73%;
  position: absolute;
  background-color: green;
}

.is_online_small {
  width: 10px;
  height: 10px;
  border: 1.8px solid #fff;
  border-radius: 50%;
  left: 70%;
  top: 70%;
  position: absolute;
  background-color: green;
}

.is_offline {
  width: 13px;
  height: 13px;
  border: 2.1px solid #fff;
  border-radius: 50%;
  left: 73%;
  top: 73%;
  position: absolute;
  background-color: rgb(248, 11, 11);
}

.is_offline_small {
  width: 10px;
  height: 10px;
  border: 1.8px solid #fff;
  border-radius: 50%;
  left: 70%;
  top: 70%;
  position: absolute;
  background-color: rgb(248, 11, 11);
}

.profile_names {
  /* text-align: center; */
  position: absolute;
}

/* ////////////////////////////////////////////////////////////// */


.SentMessage {
  display: flex;
  justify-content: flex-end;
  margin-bottom: 10px;
}

.ReciveMessage {
  display: flex;
  justify-content: flex-end;
  margin-bottom: 10px;
  /* margin-left: 20px; */

  flex-direction: row-reverse;
  position: relative;
  margin-left: auto;
}


.SentMessageContent {
  word-wrap: break-word;
  overflow-wrap: break-word;
  box-sizing: border-box;
  background: #FFFFFF;
  border: 1px solid #668AD7;
  padding: 4px 8px;
  border-radius: 12px 0px 12px 12px;
  font-style: normal;
  max-width: 100%;
  font-weight: 400;
  font-size: 13px;
  line-height: 24px;
  color: #000000;
}

.ReciveMessageContent {
  word-wrap: break-word;
  overflow-wrap: break-word;
  padding: 4px 8px;
  gap: 10px;
  max-width: 100%;
  background: #EEF2FB;
  border-radius: 0px 12px 12px 12px;
  font-style: normal;
  font-weight: 400;
  font-size: 11px;
  line-height: 24px;
  color: #000000;

}

.MessagePointers {
  position: absolute;
  left: -16px;
  bottom: -5px;
}



.UserNameStyle {
  color: #000;

  font-family: Cairo;
  font-size: 13px;
  font-style: normal;
  font-weight: 400;
  /* line-height: normal; */
}

.DateStyle {
  color: #6A767C;

  font-family: Cairo;
  font-size: 9px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.chatContent_msg {
  color: #000;
  font-family: "Cairo";
  font-size: 13px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

/* ////////////////////////////////////////////////////////////// */
/* .chat__item .chatContent_item:before {
  content: "";
  position: absolute;
  left: 100%;
  top: 50%;
  width: 0;
  height: 0;
  border-top: 16px solid transparent;
  border-left: 16px solid rgba(99, 95, 89, 1);
  border-bottom: 0px solid transparent;
} */
/* .chat__item.other .chatContent_item:before {
  content: "";
  position: absolute;
  left: 100%;
  top: 40%;
  width: 0;
  height: 0;
  border-top: none;
  border-left: none;
  border-bottom: none;
}
.chat__item.other .chatContent_item:after {
  content: "";
  position: absolute;
  right: 100%;
  top: 50%;
  width: 0;
  height: 0;
  border-top: 16px solid transparent;
  border-right: 16px solid rgba(253, 131, 44, 1);
  border-bottom: 0px solid transparent;
} */



.message-pointers {
  display: flex;
  gap: 5px;
  margin: 2px;
  height: 12px;
}

/* .user-pointer-message{
  
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;

} */
.R_text_box {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  background-color: rgba(255, 255, 255, 1);
  border-radius: 50%;
  right: 0%;
  left: 0%;
  bottom: 0%;
  width: 97%;
  padding-left: 8px;
  padding-right: 8px;
  /* z-index: 9; */
}

.MessageInput {
  width: 100%;
  border-radius: 3px;
  border: 1px solid var(--Stroke, #D9D9D9);
  background: var(--Color, #FFF);
  /* min-height: 43px; */
  padding: 10px;
  resize: none;
  min-height: 43px;
  outline: none;
  /* padding: 15px; */
  /* box-sizing: border-box;
  -ms-transform: rotate(0deg);
  -webkit-transform: rotate(0deg);
  transform: rotate(0deg);
  -ms-transform-origin: center;
  -webkit-transform-origin: center;
  transform-origin: center;
  opacity: 1;
  cursor: default;
  border: 1px solid rgba(223, 223, 223, 1);
  border-bottom-left-radius: 50px;
  border-top-left-radius: 50px;
  background-color: rgba(255, 255, 255, 1);

  display: inline-block;
  flex-grow: 1;
  height: 40px;
  padding: 2px;
  padding-left: 15px;
  margin-right: 3px; */
}
.dropdown-menu:after {
  display: none !important;
}
.dropdown-menu::before {
  display: none !important;
}

.RightLayout{
  max-height: 82vh;
  margin-bottom: 10px;
  background-color:#EEF2FB;
}

.blue-vertical-line {
  position: absolute;
  left: 99%;  /* Adjust the left position as needed */
  top: -2%;
  height: 100%;
  width: 1px;
  background-color: #668AD7;
}


.NormalChatList {
  /* border-right: 1px solid var(--Primary, #668AD7); */
  min-height: 100%;
  overflow-x: hidden;
  background: var(--Color, #FFF);
}





.btn-round.Send_btn {
  border-bottom-right-radius: 50px;
  border-top-right-radius: 50px;
  border-bottom-left-radius: 0;
  border-top-left-radius: 0;
}

.Send_btn.btn.btn-secondary {
  background-color: rgba(255, 255, 255, 1);
  color: rgba(253, 131, 44, 1);
  box-sizing: border-box;
  opacity: 1;
  cursor: default;
  border: 1px solid rgba(253, 131, 44, 1);
  display: inline-block;
  height: 40px;
  box-shadow: none;
  outline: none;
  font-size: 16px;
  line-height: 32px;
  margin: 0;
  padding: 1px;
  width: 100%;
  position: relative;
}

.ml-4.Send_btn.btn.btn-secondary {
  margin-left: 0 !important;
}

.chatlist {
  background-color: rgba(255, 255, 255, 1);
  margin: 8px;
  margin-bottom: 20px;
  flex-grow: 1;
  border: 1px none rgba(112, 112, 112, 1);
  border-radius: 11px;
  display: block;
  box-sizing: content-box;
  opacity: 1;
  cursor: default;
  height: 100%;
  min-height: 50%;

  /* padding-right: 0!important ; 
    padding-left: 0!important ; */
}

.floating-chatlist {
  background-color: rgba(255, 255, 255, 1);
  margin: 8px;
  margin-bottom: 20px;
  flex-grow: 1;
  border: 1px solid rgb(232, 232, 232);
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  box-sizing: content-box;
  opacity: 1;
  cursor: default;
  min-height: 50%;
  max-height: 75%;
  min-height: 50%;
  overflow-x: hidden;
  overflow-y: scroll;
  box-shadow: 0px 3px 3px 3px rgba(112, 112, 112, 0.4);
}
.floating-content {
 width: 100%;
 height: 100%;
}

.col-sm-12 .chatlist {
  min-height: calc(100vh - calc(100vh / 4));
}

/* .start_new_chat{
  border:lpx solid red;
  background-color: red;
} */
.new-Messege {
  display: flex;
}

.search_input {
  /*  border:1px solid rgba(223, 223, 223, 1);
    border-radius:25px; */
  margin-top: 20px;
  margin-left: 15px;
  margin-right: 2px;
  width: 85%;
  height: 40px;
  display: inline-block;
}

.add_new_but {
  /*  margin-top: 20px; 
     margin-right: 15px; 
     margin-left: 2px; */
  background-color: rgba(253, 131, 44, 1);
  color: rgba(255, 255, 255, 1);
  border: 1px solid rgba(223, 223, 223, 1);
  padding: 1.8px 15px 0px 15px;
  border-radius: 20px;
  font-size: 24px;
  font-weight: 500;
  position: absolute;
  bottom: 5%;
  right: 10%;
  z-index: 9;
}

.add_new_but .fa {
  vertical-align: baseline;
}

.chatlist__items {
  max-height: calc(100vh - calc(100vh / 4));
  overflow: visible;
  margin-top: 15px;
}

/*  .chatlist__items .floating{}
 */
.chat_List_Iteml {
  margin-top: 10px;
  cursor: pointer;
  padding: 10px 10px 10px 20px;
  transition: all 0.3s cubic-bezier(0.88, 0.19, 0.37, 1.11);
  transform: scale(0);
  animation-name: showIn;
  animation-duration: 0.2s;
  /* or: Xms */
  animation-iteration-count: 1;
  animation-direction: normal;
  /* or: normal */
  animation-timing-function: cubic-bezier(0.88,
      0.19,
      0.37,
      1.11);
  /* or: ease, ease-in, ease-in-out, linear, cubic-bezier(x1, y1, x2, y2) */
  animation-fill-mode: both;
  /* or: backwards, both, none */
  animation-delay: 0.1s;
  /* or: Xms */
}

.chat_List_Item {
  list-style-type: none;
  display: flex;

  /* border: 1px solid #aaa;
  box-shadow: inset; */
  /* padding-top: 3px;
  padding-bottom: 3px; */

  margin-bottom: 2px;
  white-space: nowrap;
  position: relative;
  overflow: visible;
  /* Required to make ellipsis work */
  text-overflow: ellipsis;
  padding: 10px 10px !important;
  margin: 0px;
  /* justify-content: space-evenly; */
  /* Starting transition */
  /*  left: 0%;
         width: 100%;
         
         /* Tweak 'till your heart's content */
  /*  -webkit-transition: left 10s, width 3s;
         -moz-transition: left 3s, width 3s;
         transition: left 3s, width 3s; */
}

/* .chat_List_Item:hover {
        background-color: var(--light-orange);
       left: -20%;
        width: 200%; 
      }*/

/*     .chat_List_Item:first-child {
        margin-top: 5%;

      } */

.chatlist__items::-webkit-scrollbar {
  -webkit-appearance: none;
}

.chatlist__items::-webkit-scrollbar:vertical {
  width: 11px;
}

.chatlist__items::-webkit-scrollbar:horizontal {
  height: 11px;
}

.chatlist__items::-webkit-scrollbar-thumb {
  border-radius: 8px;
  border: 2px solid white;
  /* should match background, can't be transparent */
  background-color: rgba(0, 0, 0, 0.5);
}

.chat_List_Item_li {
  font-size: 14px;

  /* vertical-align: middle;
     overflow: hidden; */
  display: flex;
}

.current-chatting-header .chat_List_Item_hul {
  width: 100%;
}

.chat_List_Item_hul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  /* width: 80%; */

  /*  white-space: nowrap;
      	overflow: hidden;
      	text-overflow: ellipsis; */
}

.chat_List_Item_hli {
  padding: 0px;
  display: inline-block;
  text-align: center;
}

.chat_list_text {
  padding-left: 10px;
  width: 80%;
  font-size: 13px;
  text-transform: none;
}

.chat_List_message {
  color: #999;
  font-size: 11px;
  width: 100%;
  overflow: hidden;
}

.chat_list_message_date {
  /* color: #000000;
  margin: 0px 0px;

  font-size: 10px;
  position: absolute; */
}

.ChatDate {
  word-wrap: break-word;
  overflow-wrap: break-word;
  width: max-content;
  padding: '0px';
  margin: '0px';
  color: var(--bold-gray, #585858);
  font-family: Cairo;
  font-size: 8px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.SendMessageButton {
  width: 43px;
  height: 43px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  border: none;
  background-color: transparent;
}


/* .chat_List_Item_hli a {
        display: block;
        color: var(--wihte-color);
        text-align: center;
        padding: 16px;
        text-decoration: none;
      } */
.activee {
  background-color: #D7E3FD;
}

/* .serch-user  input {
        background-color: var( --light-orange);
        border:1px solid var( --light-orange);
        padding:2% ;
        outline: none;
        width: 80%;
        margin-left: 2%;
      }

      .serch-user button{ 
        height: 46px;
        border: none;
        background-color: transparent;
        outline: none;
        padding-left: 5%;
        cursor: pointer;
        font-size: 16px;
        color:var( --third-color)
      }

      .no-suggestions {
        color:var( --dark-gray);
        padding: 0.5rem;
      }
      
      .suggestions {
        border: 1px solid var( --light-orange);
        border-top-width: 0;
        list-style: none;
        margin-top: 0;
        max-height: 143px;
        overflow-y: auto;
        padding-left: 0;
        width: calc(75% + 1rem);
        margin-left: 2%;
      }
      
      .suggestions li {
        padding: 0.5rem;
        border-bottom: 1px solid var(--dark-gray);
      }
      
      .suggestion-active,
      .suggestions li:hover {
        background-color: var(--light-orange);
        color: var(--dark-gray);
        cursor: pointer;
        font-weight: 700;
      }
      
      .suggestions li:not(:last-of-type) {
        border-bottom: 1px solid var(--light-orange);
      } */

.new_messege_hide {
  display: none;
}

.new_messege_show1 {
  overflow: auto;
  position: relative;
  top: 0%;
  right: 0%;
  left: 0%;
  bottom: 0%;
  margin: 8px;
  /*   margin-bottom: 20px; 
         margin-top:20px ;  */
  background-color: white;
  display: flex;
  flex-direction: column;
  z-index: 10;
  /*  border: 1px solid rgba(112, 112, 112, 1);  */
  border-radius: 11px;
  padding-bottom: 0px;
  margin-bottom: 0px;
  box-sizing: content-box;
  opacity: 1;
  cursor: default;
  height: 100%;
}

.new_messege_show {
  overflow: auto;
  position: absolute;
  top: 0%;
  right: 0%;
  left: 0%;
  bottom: 0%;
  margin: 8px;
  /*   margin-bottom: 20px; 
         margin-top:20px ;  */
  background-color: white;
  display: flex;
  flex-direction: column;
  z-index: 10;
  /*  border: 1px solid rgba(112, 112, 112, 1);  */
  border-radius: 11px;
  padding-bottom: 0px;
  margin-bottom: 0px;
  box-sizing: content-box;
  opacity: 1;
  cursor: default;
  height: 100%;
}

.new_messege_show_head {
  margin: 10px;
  margin-bottom: 25px;

  font-size: 18px;
  font-weight: 600;
}

.new_messege_show_head .show_icon {
  margin-right: 15px;
  border: none;
  background: none;
  color: rgba(112, 112, 112, 1);
}



.search_container {
  overflow: auto;
  position: relative;
  top: 0%;
  right: 0%;
  left: 0%;
  bottom: 0%;
  border: red 1px solid;
  width: 100%;
  /*   margin-bottom: 20px; 
         margin-top:20px ;  */
  background-color: white;
  display: flex;
  flex-direction: column;
  z-index: 10;
  /*  border: 1px solid rgba(112, 112, 112, 1);  */
  border-radius: 11px;
  padding-bottom: 0px;
  margin-bottom: 0px;
  box-sizing: content-box;
  opacity: 1;
  cursor: default;
  height: 100%;
}


.RAutocomplete {
  width: 90%;
  position: relative;
  /* right: 5%;
  left: 5%; */
  border-radius: 50px;
}

.new-messege-body {
  margin-top: 10%;
  width: 100%;
  background-color: var(--wihte-color);
  /* display: flex; */
  justify-content: space-between;
  padding: 10px;
}

.new-messege-input {
  width: 100%;

  background-color: transparent;
  outline: none;
  box-sizing: border-box;
}

.new-messege-input-area {
  width: 90%;
  position: absolute;
  right: 5%;
  left: 5%;
  margin-top: 20px;
}

.new-messege-input-area_notes {
  width: 100%;

  right: 5%;
  left: 5%;
  margin-top: 20px;
}

.new-messege-input-area .MessageInput {
  border-radius: 10px;
  width: 100%;
  height: 200px;
}

.new-messege-but.btn.btn-secondary {
  padding: 8px 12px;
  box-shadow: none;
  outline: none;
  cursor: pointer;
  border: 1px solid rgba(253, 131, 44, 1);
  font-size: 16px;
  border-radius: 20px;
  font-size: 14px;
  font-weight: 600;
  background-color: rgba(255, 255, 255, 1);
  color: rgba(253, 131, 44, 1);
  margin-top: 20px;
  float: right;
  right: 0%;
}

.new-messege-but {
  padding: 8px 12px;
  box-shadow: none;
  outline: none;
  cursor: pointer;
  border: 1px solid rgba(253, 131, 44, 1);
  font-size: 16px;
  border-radius: 20px;
  font-size: 14px;
  font-weight: 600;
  background-color: rgba(255, 255, 255, 1);
  color: rgba(253, 131, 44, 1);
  margin-top: 20px;
  float: right;
  right: 0%;
}

.new-messege-but.btn-secondary:hover {
  transform: scale(1.05);
  background-color: red;
}

.new-messege-addImg {
  color: var(--third-color);
  font-size: 18px;
  margin: 15px;
  display: inline-block;
}

.new-messege-but :hover {
  transform: scale(1.2);
}

.sendNewMessage {
  background-color: #fff;
  display: flex;
  justify-content: space-between;
  padding: 10px;
  margin: 5px;
  border-radius: 8px;
}

.sendNewMessage button {
  width: 36px;
  height: 36px;
  border: none;
  box-shadow: none;
  outline: none;
  cursor: pointer;
  font-size: 16px;
  color: var(--third-color);
  padding: 0;
  border-radius: 5px;
  line-height: 36px;
  transition: all 0.3s cubic-bezier(0.88, 0.19, 0.37, 1.11);
}

.sendNewMessage button:hover {
  transform: scale(1.2);
}

.sendNewMessage button i {
  display: block;
  color: var(--wihte-color);
}

.sendNewMessage input {
  flex-grow: 1;
  padding: 0 15px;
  background-color: transparent;
  border: none;
  outline: none;
}

#sendMsgBtn {
  background-color: var(--third-color);
  color: var(--wihte-color);
}

.floating_chat_show {
  width: 310px;
  position: fixed;
  bottom: 0;
  right: 5%;
  border: 2px solid rgb(232, 232, 232);
  background-color: #f8f8f8;
  display: block;
  z-index: 5;
  box-shadow: 0px 3px 3px 3px rgba(112, 112, 112, 0.4);
}

.floating_chat_hide {
  display: none;
}

.floating_chat_show .chat__item {
  font-size: 10px;
  margin-bottom: 8px;
}

.floating_chat_show .chatContent_msg {
  padding: 2px 2px 1px 2px;
}

/*     .floating_chat_show  .chat__item .User_Img {
       width: 20px;
        height: 20px;
      } */
.floating_chat_show .chatContent_item {
  padding: 3px;
  max-width: 60%;
}

.floating_chat_show .chatContent {
  padding: 2px;
  border-radius: 0;
  margin: 4px;
}

.floating_chat_show .Content_items {
  max-height: calc(100vh - calc(100vh / 2));
  min-height: 45vh;
  padding: 5px;
}

.floating_chat_show .content__header {
  padding: 0;
  font-size: 12px;
}

.header_icon {
  background: none;
  color: rgb(118, 118, 118);
  border: none;
  font-size: 16 !important;
}

.floating_chat_show .content__header .User_Img {
  width: 25px;
  height: 25px;
}

.floating_chat_show .new-messege-input {
  display: flex;
}

.floating_chat_show .new-messege-but {
  display: inline-block;
  font-size: 12px;
  border-radius: 5px;
  line-height: 28px;
  margin-top: 0;
}

.floating_chat_show .new-messege-input-area {
  display: inline-block;
}

.unread_messages {
  /* position: absolute; */
  text-align: center;
  /* left: 90%;
  bottom: 50%;
 right: 90%; 
  top: 50%; */
  margin-top: 0;
  margin-bottom: 0;
  border-radius: 50%;
  background-color: rgba(253, 131, 44, 1);
  color: white;
  width: 20px;
  height: 20px;
}

.NewNote {
  width: 310px;
  position: fixed;
  bottom: 0;
  right: 5%;
  border: 2px solid rgb(232, 232, 232);
  background-color: #f8f8f8;
  display: block;
  z-index: 5;
  box-shadow: 0px 3px 3px 3px rgb(112 112 112 / 40%);
  height: 63%;
  padding: 1%;
  margin-bottom: 3px;
}

.user-pointer-message {
  /* border:1px solid red; */
  height: 12px;
}

.no-padding-no-margin {
  padding-top: 0px !important;
  padding-right: 0px !important;
  padding-bottom: 0px !important;
  padding-left: 0px !important;
  margin-top: 0px !important;
  margin-right: 0px !important;
  /* margin-bottom: 0px !important; */
  margin-left: 0px !important;
}

.im_button.active {
  position: absolute;
  width: 34px;
  height: 22px;
  left: 794px;
  top: 872px;
  font-family: 'Cairo';
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 22px;

  color: #FFFFFF;
}

;

.im_button.nonactive {
  position: absolute;
  width: 34px;
  height: 22px;
  left: 794px;
  top: 872px;
  font-family: 'Cairo';
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 22px;
  color: #FFFFFF;
}

;

.user_container {
  border: 1px solid #668ad7;
  padding: 0.2rem;
  margin: 0.2rem;
  max-width: 10rem;
  word-wrap: break-word;
  min-width: 4rem;
  display: inline-block;
}